
Redmine - Defect #5313

Redmine.pm incorrectly cooperating with LDAP

2010-04-14 10:45 - Radek Antoniuk

Status: Closed Start date: 2010-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.9.3

Description

I am using:

PerlAccessHandler Apache::Authn::Redmine::access_handler

PerlAuthenHandler Apache::Authn::Redmine::authen_handler.

While using mysql-stored passwords, all works fine.

I have defined that Reporters and lower do not have access to the repository at all.

If I switch to LDAP authentication though, the authentication works, but authorization doesn't, i.e. user is granted access nevertheless

he is only a reporter in project.

History

#1 - 2010-07-09 12:42 - Felix Schäfer

There have been changes to Redmine.pm in r3831 and r3832, could you please test if they work for you?

#2 - 2010-07-09 12:45 - Radek Antoniuk

Hey,

Thanks for the info, however I am using debian packages so I will 'test' it when new version arrives in .deb :)

#3 - 2010-07-09 13:40 - Felix Schäfer

Ok, that might take some time *coughs*. As far as I can tell, this should fix it, you mind if I close the ticket and you reopen it if you still experience

problems after 0.9.6?

#4 - 2010-07-09 13:42 - Radek Antoniuk

Sure. Thanks.

#5 - 2010-07-09 13:42 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Fixed
